Last Comment Bug 727785 - Return "204 No Content" from successful PUT and DELETE requests.
: Return "204 No Content" from successful PUT and DELETE requests.
Status: VERIFIED FIXED
[qa+]
:
Product: Cloud Services
Classification: Client Software
Component: Server: Sync (show other bugs)
: unspecified
: x86 Linux
-- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 727761
  Show dependency treegraph
 
Reported: 2012-02-16 03:48 PST by Ryan Kelly [:rfkelly]
Modified: 2012-04-23 16:05 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch to return 204 from DELETE and PUT (4.56 KB, patch)
2012-02-16 03:48 PST, Ryan Kelly [:rfkelly]
telliott: review+
Details | Diff | Splinter Review

Description User image Ryan Kelly [:rfkelly] 2012-02-16 03:48:20 PST
Created attachment 597763 [details] [diff] [review]
patch to return 204 from DELETE and PUT
Comment 1 User image Toby Elliott [:telliott] 2012-02-16 11:49:38 PST
Comment on attachment 597763 [details] [diff] [review]
patch to return 204 from DELETE and PUT

Just noting here that timestamps are being returned on all queries, so they no longer need to be returned in the body, as per spec.
Comment 3 User image James Bonacci [:jbonacci] 2012-04-18 16:56:52 PDT
Should be covered by functional tests.
QA to verify and close.
Comment 4 User image James Bonacci [:jbonacci] 2012-04-23 16:05:10 PDT
Code verified and passed functional tests of Sync 2.0 and AITC 1.0 for a 4/23/2012 deploy to qa1.

Note You need to log in before you can comment on or make changes to this bug.